Skip to main content
GET
/
api
/
v1
/
tasks
List Tasks
curl --request GET \
  --url https://api.example.com/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
{
  "tasks": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "category": "<string>",
      "task_type": "<string>",
      "requirements": {},
      "budget_usd": 123,
      "compute_budget": 123,
      "status": "<string>",
      "experimentation": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "attachments": [
        "<string>"
      ],
      "brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "prototype_tier": 123
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string | null
category
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

tasks
TaskResponse · object[]
required
total
integer
required